Package com.emc.documentum.rest.model

# Class AuditPolicy

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.AuditPolicy

All Implemented Interfaces:
  `Linkable`

public class AuditPolicy extends AbstractLinkable

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditPolicy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttributeRule(String name, String value)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAccessorName()`
  `Map<String,String>`
  `getAttributeRules()`
  `String`
  `getName()`
  `String`
  `getObjectId()`
  `int`
  `hashCode()`
  `boolean`
  `isGroup()`
  `void`
  `setAccessorName(String accessorName)`
  `void`
  `setAttributeRules(List<String> attrNames, List<String> attrValues)`
  `void`
  `setGroup(boolean group)`
  `void`
  `setName(String name)`
  `void`
  `setObjectId(String objectId)`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuditPolicy

    public AuditPolicy()

- ## Method Details

  - ### getObjectId

    public String getObjectId()

  - ### setObjectId

    public void setObjectId(String objectId)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getAccessorName

    public String getAccessorName()

  - ### setAccessorName

    public void setAccessorName(String accessorName)

  - ### isGroup

    public boolean isGroup()

  - ### setGroup

    public void setGroup(boolean group)

  - ### getAttributeRules

    public Map<String,String> getAttributeRules()

  - ### setAttributeRules

    public void setAttributeRules(List<String> attrNames, List<String> attrValues)

  - ### addAttributeRule

    public void addAttributeRule(String name, String value)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`